image: maven:3.3.9-jdk-8
cache:
  paths:
    - .m2/repository
build:jdk8:
  stage: build
  script:
    - 'mvn -P prod clean install -X'
  only:
    variables:
      - $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

build-dependent:
  stage: test
  trigger:
    project: fundamental-analysiss/functional/integration/adaptor
  